/*
 * Copyright (c) 1999, 2000 Greg Haerr <greg@censoft.com>
 *
 * Framebuffer drivers header file for Microwindows Screen Drivers
 */

/* Linux framebuffer critical sections*/
#if VTSWITCH
#define DRAWON		++drawing
#define DRAWOFF		--drawing
#else
#define DRAWON
#define DRAWOFF
#endif

typedef unsigned char *		ADDR8;
typedef unsigned short *	ADDR16;
typedef unsigned long *		ADDR32;

/* subdriver entry points: one required for each draw function*/
typedef struct {
	int	 (*Init)(PSD psd);
	void 	 (*DrawPixel)(PSD psd, COORD x, COORD y, PIXELVAL c);
	PIXELVAL (*ReadPixel)(PSD psd, COORD x, COORD y);
	void 	 (*DrawHorzLine)(PSD psd, COORD x1, COORD x2, COORD y,
			PIXELVAL c);
	void	 (*DrawVertLine)(PSD psd, COORD x, COORD y1, COORD y2,
			PIXELVAL c);
	void	 (*FillRect)(PSD psd,COORD x1,COORD y1,COORD x2,COORD y2,
			PIXELVAL c);
	void	 (*Blit)(PSD destpsd, COORD destx, COORD desty, COORD w,
			COORD h, PSD srcpsd, COORD srcx, COORD srcy, int op);
	void	 (*DrawArea)(PSD psd, driver_gc_t *gc, int op);
} SUBDRIVER, *PSUBDRIVER;


/* global vars*/
extern int	drawing;
extern int 	gr_mode;	/* temp kluge*/

/* entry points*/
/* scr_fb.c*/
int  failmsg(const char *format, ...);
void ioctl_getpalette(int start, int len, short *red, short *green,short *blue);
void ioctl_setpalette(int start, int len, short *red, short *green,short *blue);

/* genmem.c*/
void	gen_fillrect(PSD psd,COORD x1,COORD y1,COORD x2,COORD y2,PIXELVAL c);
BOOL	set_subdriver(PSD psd, PSUBDRIVER subdriver, BOOL init);
void	get_subdriver(PSD psd, PSUBDRIVER subdriver);

/* fb.c*/
PSUBDRIVER select_fb_subdriver(PSD psd);

/* fbportrait.c*/
extern PSUBDRIVER _subdriver;
extern SUBDRIVER  fbportrait;
